<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['vozrast-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['vozr_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['vozr_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_POST['vozrast'])) {puterror($result2['skin'],$TEXT['error-vozrast1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['vozrast'])>255) {puterror($result2['skin'],$TEXT['error-vozrast2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['vozrast'])) {$vozrast=trim($_POST['vozrast']);}
  else {$vozrast="";}
    if(empty($vozrast)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['vozrast'] = rep($_POST['vozrast']);
$_POST['vozr_id'] = rep($_POST['vozr_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`vozr_id`) AS c_vozr_id FROM `tbl_vozrast` WHERE `vozrast`='".$_POST['vozrast']."' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_vozr_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $query10 = "SELECT `vozrast` FROM `tbl_vozrast` WHERE `vozr_id`='".$_POST['vozr_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl24']); require_once "../utils/bottom_adm_film.php"; exit();}
   $result_izd = mysqli_fetch_array($result10);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-vozrast3'];
  $what = "&laquo;".$result_izd['vozrast']."&raquo; ".$TEXT['log-na']." &laquo;".$_POST['vozrast']."&raquo; ".$TEXT['log-id'].$_POST['vozr_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_vozrast` SET `vozrast` = '".$_POST['vozrast']."' WHERE `vozr_id`='".$_POST['vozr_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl24']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>